Download it now!
Bug 107716 - FILEOPEN: DOCX - Unable to correctly import track changes on page number field
Summary: FILEOPEN: DOCX - Unable to correctly import track changes on page number field
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Track-Changes Fields-Page-Number DOCX-Page DOCX-Track-Changes
  Show dependency treegraph
 
Reported: 2017-05-09 05:38 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-06-04 12:19 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (12.67 KB, application/wps-office.docx)
2017-05-09 05:38 UTC, Yousuf Philips (jay) (retired)
Details
word vs 4.0 vs 5.4 (9.46 KB, image/png)
2017-05-09 05:38 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-05-09 05:38:16 UTC
Created attachment 133178 [details]
sample

Steps:
1) Open attached document
2) Notice that the page number field, the number 1, doesnt have deletion track changes assigned to it

Version: 5.4.0.0.alpha0+
Build ID: 74ccd02eda2d6325a27266fd935aba29b3d75020
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-04-27_23:51:14
Locale: en-US (en_US.UTF-8); Calc: group

LibreOffice 3.3 to 4.0 did know that track changes happened on the line, as it did have the track changes vertical line in the margins, but it also didnt show that the page number field had a deletion track changes on it.

The relevant xml code from the /word/document.xml file is below.

<w:del w:id="0" w:author="jay18" w:date="2017-05-09T08:20:00Z">
  <w:r w:rsidDel="00476164">
    <w:fldChar w:fldCharType="begin" />
  </w:r>
  <w:r w:rsidDel="00476164">
    <w:delInstrText xml:space="preserve"> PAGE   \* MERGEFORMAT </w:delInstrText>
  </w:r>
  <w:r w:rsidDel="00476164">
    <w:fldChar w:fldCharType="separate" />
  </w:r>
  <w:r w:rsidDel="00476164">
    <w:rPr>
      <w:noProof />
    </w:rPr>
    <w:delText>1</w:delText>
  </w:r>
  <w:r w:rsidDel="00476164">
    <w:rPr>
      <w:noProof />
    </w:rPr>
    <w:fldChar w:fldCharType="end" />
  </w:r>
</w:del>
Comment 1 Yousuf Philips (jay) (retired) 2017-05-09 05:38:55 UTC
Created attachment 133179 [details]
word vs 4.0 vs 5.4
Comment 2 Telesto 2017-05-12 16:19:15 UTC
Repro with:
Version: 5.4.0.0.alpha1+
Build ID: 970b431f1a7b6b96c4c9536657ce4fe9d8f5b585
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-11_23:07:53
Locale: en-US (nl_NL); Calc: single
Comment 3 QA Administrators 2018-07-19 02:42:00 UTC Comment hidden (obsolete, spam)
Comment 4 Justin L 2018-08-16 13:10:57 UTC
confirmed still a problem in 6.2. Bibisect43all suggests it is inherited.
Comment 5 László Németh 2019-06-04 12:19:19 UTC
The import problem was fixed  as part of the export problem, see first patch in Bug 70234 (https://git.libreoffice.org/core/+/d160bca0dcb80f1b517b79221d5c3a43bbad8639%5E%21)